任务单 #4971

重しを記憶喪失の薬に浸したときのバグ
开放日期: 2004-09-08 16:13 最后更新: 2004-11-20 18:18

报告人:
(匿名)
属主:
类型:
状态:
关闭
组件:
(无)
里程碑:
(无)
优先:
5 - Medium
严重性:
5 - Medium
处理结果:
Fixed
文件:

Details

日本語版限定ではなくオリジナル版由来のバグのようです

こちらにも報告しておきます。

重しを記憶喪失の薬に浸すと火打ち石に変化するのですが、
この火打ち石の重さは重しのままになっています。
これを地面に置いてまた拾ってみても、
やはり重しと同等の重さが荷重に追加されます。

ここで、別の火打ち石を拾うと
重しが変化した火打ち石と拾った火打ち石が
同じアイテムシンボルにまとまるのですが、
この場合いれらの石によって得られる荷重は
重しの重さ+火打ち石の重さとなっています。
ところが、ここで1つだけ火打ち石を置くと
重しの分の荷重が引かれ、さらにそれを拾いなおすと
火打ち石の分だけの荷重が足されるのです。
(つまるところ正常な状態に戻る)
全部の火打ち石をまとめて置いてまた拾いなおしたときは
重しが変化した火打ち石の重さはリセットされず、
それまでと同様に重し+火打ち石分の荷重が
追加されてしまいます。

その他の手段でアイテムを変化させた場合は、
まるでそのアイテムを拾ったかのように
インベントリに新しいアイテムが追加されるのですが、
この行動の場合はそれがされないので
このような現象が起こってしまうのではないかと
推測されます。

この現象によって他のアイテムの重さが変化したり
荷重が正しく計算されなくなったりすることはないので
致命的なバグというわけでは全然ないのですが。

任务单历史 (2/2 Histories)

2004-09-09 00:20 Updated by: so-miya
  • 属主 Update from (无) to so-miya
  • (组 change on Tracker)
  • (类别 change on Tracker)
  • 处理结果 Update from to Accepted
评论
Logged In: YES
user_id=1624

ご報告ありがとうございます。
確認しました。

こちらもbug4970と同様に本家がfixを行ったあとで対応する予定です。

http://sourceforge.net/tracker/index.php?func=detail&aid=1024202&group_id=9746&atid=109746
2004-11-20 18:18 Updated by: so-miya
  • Ticket Close date is changed to 2004-11-20 18:18
  • 处理结果 Update from Accepted to Fixed
  • 状态 Update from 开启 to 关闭
评论
Logged In: YES
user_id=1624

本バグは0.0.7E6F3で対応されました。
0.0.7E6F3-J0.0.10をリリースしたので閉じさせていただきます。

Attachment File List

No attachments

编辑

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » 登录名